## GogSmoothedCurve

GogSmoothedCurve

## Types and Values

| GogSmoothedCurve
| GogSmoothedCurveClass

## Object Hierarchy

        GObject
        ╰── GogObject
            ╰── GogStyledObject
                ╰── GogTrendLine
                    ╰── GogSmoothedCurve

## Implemented Interfaces

GogSmoothedCurve implements GOStyledObject and GogDataset.

## Description

## Functions

## Types and Values

### GogSmoothedCurve

    typedef struct _GogSmoothedCurve GogSmoothedCurve;

### GogSmoothedCurveClass

    typedef struct {
    	GogTrendLineClass base;
    	int max_dim;
    } GogSmoothedCurveClass;

Base class for smoothed curves.

#### Members

GogTrendLineClass `base`; | base class. |
int `max_dim`; | number of GOData parameters. |